=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles/progress.make
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named doc

# Build rule for target.
doc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 doc
.PHONY : doc

# fast build rule for target.
doc/fast:
	$(MAKE) -f CMakeFiles/doc.dir/build.make CMakeFiles/doc.dir/build
.PHONY : doc/fast

#=============================================================================
# Target rules for targets named invoker

# Build rule for target.
invoker: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 invoker
.PHONY : invoker

# fast build rule for target.
invoker/fast:
	$(MAKE) -f src/invoker/CMakeFiles/invoker.dir/build.make src/invoker/CMakeFiles/invoker.dir/build
.PHONY : invoker/fast

#=============================================================================
# Target rules for targets named applauncherd.bin

# Build rule for target.
applauncherd.bin: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 applauncherd.bin
.PHONY : applauncherd.bin

# fast build rule for target.
applauncherd.bin/fast:
	$(MAKE) -f src/launcher/CMakeFiles/applauncherd.bin.dir/build.make src/launcher/CMakeFiles/applauncherd.bin.dir/build
.PHONY : applauncherd.bin/fast

#=============================================================================
# Target rules for targets named applauncherd

# Build rule for target.
applauncherd: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 applauncherd
.PHONY : applauncherd

# fast build rule for target.
applauncherd/fast:
	$(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/build
.PHONY : applauncherd/fast

#=============================================================================
# Target rules for targets named ebooster

# Build rule for target.
ebooster: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ebooster
.PHONY : ebooster

# fast build rule for target.
ebooster/fast:
	$(MAKE) -f src/ebooster/CMakeFiles/ebooster.dir/build.make src/ebooster/CMakeFiles/ebooster.dir/build
.PHONY : ebooster/fast

#=============================================================================
# Target rules for targets named mbooster

# Build rule for target.
mbooster: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 mbooster
.PHONY : mbooster

# fast build rule for target.
mbooster/fast:
	$(MAKE) -f src/mbooster/CMakeFiles/mbooster.dir/build.make src/mbooster/CMakeFiles/mbooster.dir/build
.PHONY : mbooster/fast

#=============================================================================
# Target rules for targets named qtbooster

# Build rule for target.
qtbooster: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 qtbooster
.PHONY : qtbooster

# fast build rule for target.
qtbooster/fast:
	$(MAKE) -f src/qtbooster/CMakeFiles/qtbooster.dir/build.make src/qtbooster/CMakeFiles/qtbooster.dir/build
.PHONY : qtbooster/fast

#=============================================================================
# Target rules for targets named mdeclarativecache

# Build rule for target.
mdeclarativecache: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 mdeclarativecache
.PHONY : mdeclarativecache

# fast build rule for target.
mdeclarativecache/fast:
	$(MAKE) -f src/qdeclarativebooster/CMakeFiles/mdeclarativecache.dir/build.make src/qdeclarativebooster/CMakeFiles/mdeclarativecache.dir/build
.PHONY : mdeclarativecache/fast

#=============================================================================
# Target rules for targets named qdeclarativebooster

# Build rule for target.
qdeclarativebooster: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 qdeclarativebooster
.PHONY : qdeclarativebooster

# fast build rule for target.
qdeclarativebooster/fast:
	$(MAKE) -f src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build.make src/qdeclarativebooster/CMakeFiles/qdeclarativebooster.dir/build
.PHONY : qdeclarativebooster/fast

#=============================================================================
# Target rules for targets named single-instance

# Build rule for target.
single-instance: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 single-instance
.PHONY : single-instance

# fast build rule for target.
single-instance/fast:
	$(MAKE) -f src/single-instance/CMakeFiles/single-instance.dir/build.make src/single-instance/CMakeFiles/single-instance.dir/build
.PHONY : single-instance/fast

#=============================================================================
# Target rules for targets named creds_test

# Build rule for target.
creds_test: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 creds_test
.PHONY : creds_test

# fast build rule for target.
creds_test/fast:
	$(MAKE) -f tests/harmattan/testapps/creds/CMakeFiles/creds_test.dir/build.make tests/harmattan/testapps/creds/CMakeFiles/creds_test.dir/build
.PHONY : creds_test/fast

#=============================================================================
# Target rules for targets named ut_booster

# Build rule for target.
ut_booster: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ut_booster
.PHONY : ut_booster

# fast build rule for target.
ut_booster/fast:
	$(MAKE) -f tests/common/unittests/ut_booster/CMakeFiles/ut_booster.dir/build.make tests/common/unittests/ut_booster/CMakeFiles/ut_booster.dir/build
.PHONY : ut_booster/fast

#=============================================================================
# Target rules for targets named ut_boosterfactory

# Build rule for target.
ut_boosterfactory: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ut_boosterfactory
.PHONY : ut_boosterfactory

# fast build rule for target.
ut_boosterfactory/fast:
	$(MAKE) -f tests/common/unittests/ut_boosterfactory/CMakeFiles/ut_boosterfactory.dir/build.make tests/common/unittests/ut_boosterfactory/CMakeFiles/ut_boosterfactory.dir/build
.PHONY : ut_boosterfactory/fast

#=============================================================================
# Target rules for targets named ut_connection

# Build rule for target.
ut_connection: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ut_connection
.PHONY : ut_connection

# fast build rule for target.
ut_connection/fast:
	$(MAKE) -f tests/common/unittests/ut_connection/CMakeFiles/ut_connection.dir/build.make tests/common/unittests/ut_connection/CMakeFiles/ut_connection.dir/build
.PHONY : ut_connection/fast

#=============================================================================
# Target rules for targets named ut_daemon

# Build rule for target.
ut_daemon: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ut_daemon
.PHONY : ut_daemon

# fast build rule for target.
ut_daemon/fast:
	$(MAKE) -f tests/common/unittests/ut_daemon/CMakeFiles/ut_daemon.dir/build.make tests/common/unittests/ut_daemon/CMakeFiles/ut_daemon.dir/build
.PHONY : ut_daemon/fast

#=============================================================================
# Target rules for targets named ut_dbooster

# Build rule for target.
ut_dbooster: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ut_dbooster
.PHONY : ut_dbooster

# fast build rule for target.
ut_dbooster/fast:
	$(MAKE) -f tests/common/unittests/ut_dbooster/CMakeFiles/ut_dbooster.dir/build.make tests/common/unittests/ut_dbooster/CMakeFiles/ut_dbooster.dir/build
