=== src/CMakeLists.txt ===
# Sub build: invoker
add_subdirectory(invoker)

# Sub build: launcher
add_subdirectory(launcher)

# Sub build: launcher library
add_subdirectory(launcherlib)

# Sub build: ebooster plugin
add_subdirectory(ebooster)

# Sub build: mbooster plugin
add_subdirectory(mbooster)

# Sub build: qtbooster plugin
add_subdirectory(qtbooster)

# Sub build: qdeclarativebooster plugin
add_subdirectory(qdeclarativebooster)

# Sub build: single-instance binary / library
add_subdirectory(single-instance)
