=== tests/CMakeLists.txt ===
# Sub build: meego/testscripts 
add_subdirectory(meego/testscripts)

# Sub build: meego/art-tests
add_subdirectory(meego/art-tests)

# Sub build: meego/bug-tests
add_subdirectory(meego/bug-tests)

# Sub build: meego/functests
add_subdirectory(meego/functests)

# Sub build: meego/perftests
add_subdirectory(meego/perftests)

# Sub build: harmattan/testapps/creds 
add_subdirectory(harmattan/testapps/creds)

# Sub build: harmattan/testscripts
add_subdirectory(harmattan/testscripts)

# Sub build: harmattan/art-tests
add_subdirectory(harmattan/art-tests)

# Sub build: harmattan/apps-tests
add_subdirectory(harmattan/apps-tests)

# Sub build: harmattan/red-tests
add_subdirectory(harmattan/red-tests)

# Sub build: harmattan/invoker-tests
add_subdirectory(harmattan/invoker-tests)

# Sub build: harmattan/daemon-tests
add_subdirectory(harmattan/daemon-tests)

# Sub build: harmattan/functests
add_subdirectory(harmattan/functests)

# Sub build: harmattan/perftests/qml
add_subdirectory(harmattan/perftests/qml)

# Sub build: harmattan/perftests/qml
add_subdirectory(harmattan/perftests/lmt)

# Sub build: harmattan/perftests/qml
add_subdirectory(harmattan/perftests/reference)

# Sub build: common/unittests
add_subdirectory(common/unittests)

# Sub build: common/testapps/fala_status
add_subdirectory(common/testapps/fala_status)

# Sub build: common/testapps/fala_wait
add_subdirectory(common/testapps/fala_wait)

# Sub build: common/testapps/fala_exit
add_subdirectory(common/testapps/fala_exit)

# Sub build: common/testapps/focustest
add_subdirectory(common/testapps/focustest)

# Sub build: common/testapps/testapp
add_subdirectory(common/testapps/testapp)

# Sub build: common/testapps/themetest
add_subdirectory(common/testapps/themetest)

# Sub build: common/testapps/fala_gettime
add_subdirectory(common/testapps/fala_gettime)

# Sub build: common/testapps/fala_gettime_ms
add_subdirectory(common/testapps/fala_gettime_ms)

# Sub build: common/testapps/fala_multi-instance
add_subdirectory(common/testapps/fala_multi-instance)

# Sub build: common/testapps/helloworld
add_subdirectory(common/testapps/helloworld)

# Sub build: common/testapps/pixelchanged
add_subdirectory(common/testapps/pixelchanged)

# Sub build: common/testapps/fala_windowid
add_subdirectory(common/testapps/fala_windowid)

# Sub build: common/testapps/xsendevent
add_subdirectory(common/testapps/xsendevent)

# Sub build: common/testapps/fala_qml_helloworld
add_subdirectory(common/testapps/fala_qml_helloworld)

# Sub build: common/testapps/fala_multiwindow
add_subdirectory(common/testapps/fala_multiwindow)

# Sub build: common/testapps/fala_windowless
add_subdirectory(common/testapps/fala_windowless)
