=== src/launcherlib/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/fremantle2armel/usr/bin/cmake

# The command to remove a file.
RM = /targets/fremantle2armel/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcin/applauncher/applauncherd-3.0.3

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcin/applauncher/applauncherd-3.0.3

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/fremantle2armel/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/fremantle2armel/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/fremantle2armel/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/fremantle2armel/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles /home/marcin/applauncher/applauncherd-3.0.3/src/launcherlib/CMakeFiles/progress.make
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/launcherlib/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcin/applauncher/applauncherd-3.0.3/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/launcherlib/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/launcherlib/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/launcherlib/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/launcherlib/CMakeFiles/applauncherd.dir/rule:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f CMakeFiles/Makefile2 src/launcherlib/CMakeFiles/applauncherd.dir/rule
.PHONY : src/launcherlib/CMakeFiles/applauncherd.dir/rule

# Convenience name for target.
applauncherd: src/launcherlib/CMakeFiles/applauncherd.dir/rule
.PHONY : applauncherd

# fast build rule for target.
applauncherd/fast:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/build
.PHONY : applauncherd/fast

appdata.o: appdata.cpp.o
.PHONY : appdata.o

# target to build an object file
appdata.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/appdata.cpp.o
.PHONY : appdata.cpp.o

appdata.i: appdata.cpp.i
.PHONY : appdata.i

# target to preprocess a source file
appdata.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/appdata.cpp.i
.PHONY : appdata.cpp.i

appdata.s: appdata.cpp.s
.PHONY : appdata.s

# target to generate assembly for a file
appdata.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/appdata.cpp.s
.PHONY : appdata.cpp.s

booster.o: booster.cpp.o
.PHONY : booster.o

# target to build an object file
booster.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/booster.cpp.o
.PHONY : booster.cpp.o

booster.i: booster.cpp.i
.PHONY : booster.i

# target to preprocess a source file
booster.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/booster.cpp.i
.PHONY : booster.cpp.i

booster.s: booster.cpp.s
.PHONY : booster.s

# target to generate assembly for a file
booster.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/booster.cpp.s
.PHONY : booster.cpp.s

boosterfactory.o: boosterfactory.cpp.o
.PHONY : boosterfactory.o

# target to build an object file
boosterfactory.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/boosterfactory.cpp.o
.PHONY : boosterfactory.cpp.o

boosterfactory.i: boosterfactory.cpp.i
.PHONY : boosterfactory.i

# target to preprocess a source file
boosterfactory.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/boosterfactory.cpp.i
.PHONY : boosterfactory.cpp.i

boosterfactory.s: boosterfactory.cpp.s
.PHONY : boosterfactory.s

# target to generate assembly for a file
boosterfactory.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/boosterfactory.cpp.s
.PHONY : boosterfactory.cpp.s

boosterpluginregistry.o: boosterpluginregistry.cpp.o
.PHONY : boosterpluginregistry.o

# target to build an object file
boosterpluginregistry.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/boosterpluginregistry.cpp.o
.PHONY : boosterpluginregistry.cpp.o

boosterpluginregistry.i: boosterpluginregistry.cpp.i
.PHONY : boosterpluginregistry.i

# target to preprocess a source file
boosterpluginregistry.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/boosterpluginregistry.cpp.i
.PHONY : boosterpluginregistry.cpp.i

boosterpluginregistry.s: boosterpluginregistry.cpp.s
.PHONY : boosterpluginregistry.s

# target to generate assembly for a file
boosterpluginregistry.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/boosterpluginregistry.cpp.s
.PHONY : boosterpluginregistry.cpp.s

connection.o: connection.cpp.o
.PHONY : connection.o

# target to build an object file
connection.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/connection.cpp.o
.PHONY : connection.cpp.o

connection.i: connection.cpp.i
.PHONY : connection.i

# target to preprocess a source file
connection.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/connection.cpp.i
.PHONY : connection.cpp.i

connection.s: connection.cpp.s
.PHONY : connection.s

# target to generate assembly for a file
connection.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/connection.cpp.s
.PHONY : connection.cpp.s

daemon.o: daemon.cpp.o
.PHONY : daemon.o

# target to build an object file
daemon.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/daemon.cpp.o
.PHONY : daemon.cpp.o

daemon.i: daemon.cpp.i
.PHONY : daemon.i

# target to preprocess a source file
daemon.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/daemon.cpp.i
.PHONY : daemon.cpp.i

daemon.s: daemon.cpp.s
.PHONY : daemon.s

# target to generate assembly for a file
daemon.cpp.s:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/daemon.cpp.s
.PHONY : daemon.cpp.s

logger.o: logger.cpp.o
.PHONY : logger.o

# target to build an object file
logger.cpp.o:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/logger.cpp.o
.PHONY : logger.cpp.o

logger.i: logger.cpp.i
.PHONY : logger.i

# target to preprocess a source file
logger.cpp.i:
	cd /home/marcin/applauncher/applauncherd-3.0.3 && $(MAKE) -f src/launcherlib/CMakeFiles/applauncherd.dir/build.make src/launcherlib/CMakeFiles/applauncherd.dir/logger.cpp.i
.PHONY : logger.cpp.i

logger.s: logger.cpp.s
.PHONY : logger.s
