=== debian/changelog ===
applauncherd (3.0.3-maemo1) fremantle; urgency=low
  * Fixed the depends for applauncherd-launcher
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Fri, 27 Jul 2012 08:51:59 +0200
