=== tests/harmattan/testapps/applauncherd-token-test-1.0/debian/changelog ===
applauncherd-token-test (1.0) unstable; urgency=low

  * Initial Release.

 -- Marek Ruszczak <ext-marek.ruszczak@nokia.com>  Fri, 04 Nov 2011 16:05:43 +0200
