=== tests/harmattan/testapps/applauncherd-usrlib-test/debian/changelog ===
applauncherd-usrlib-test (1.1) stable; urgency=low

  * test for upgrade.

 -- Thyagarajan Balakrishnan <ext-thyagarajan.1.balakrishnan@nokia.com>  Thu, 10 Nov 2011 16:05:43 +0200

applauncherd-usrlib-test (1.0) stable; urgency=low

  * Initial Release.

 -- Thyagarajan Balakrishnan <ext-thyagarajan.1.balakrishnan@nokia.com>  Wed, 09 Nov 2011 16:05:43 +0200
