=== tests/harmattan/testapps/applauncherd-token-test-1.1/debian/control ===
Source: applauncherd-token-test
Section: unknown
Priority: extra
Maintainer: Marek Ruszczak <ext-marek.ruszczak@nokia.com>
Build-Depends: pkg-config, debhelper (>= 7.0.50~), libqt4-dev, applauncherd-dev, applauncherd, aegis-builder (>= 1.4), libmeegotouch-dev
Standards-Version: 3.9.1

Package: applauncherd-token-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqtgui4, applauncherd, libmeegotouchcore0
Description: Application used to test applauncherd reexec
 This application is used to test that installation of new security tokens
 is properly handled by applauncherd deamon.

Package: applauncherd-token-test-dbg
Architecture: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqtgui4, applauncherd, libmeegotouchcore0, applauncherd-token-test (= ${binary:Version})
Description: Application used to test applauncherd reexec
 This application with debug symbols is used to test that
 installation of new security tokens is properly handled 
 by applauncherd deamon.
