=== tests/harmattan/testapps/applauncherd-usrlib-test/debian/control ===
Source: applauncherd-usrlib-test
Section: unknown
Priority: extra
Maintainer: Thyagarajan Balakrishnan <ext-thyagarajan.1.balakrishnan@nokia.com>
Build-Depends: pkg-config, debhelper (>= 7.0.50~), libqt4-dev, applauncherd
Standards-Version: 3.9.1

Package: applauncherd-usrlib-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqtgui4, applauncherd, libmeegotouchcore0
Description: Application tests applauncherd reexec for new files in /usr/lib
 This application is used to test that installation of new files in /usr/lib
 triggers reexec in applauncherd

#Package: applauncherd-usrlib-test-dbg
#Architecture: devel
#Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqtgui4, applauncherd, libmeegotouchcore0, applauncherd-usrlib-test (= ${binary:Version})
#Description: Application tests applauncherd reexec for new files in /usr/lib
# This application is used to test that installation of new files in /usr/lib
# triggers reexec in applauncherd. - with debug symbols
